import '@/public_path';
import CbInstanceOptions from './interfaces/cb-instance-options';
import CbInstance from './models/cb-instance';
import {SectionType} from './constants/enums';
declare global {
  interface Window {
    Chargebee: any;
  }
}
export interface Chargebee {
  /**
   * Initializes the Chargebee.js instance with the provided options.
   *
   * @param {CbInstanceOptions} options - The options to configure the Chargebee.js instance.
   * @returns {CbInstance} The initialized Chargebee.js instance.
   * @throws {Error} Throws an error if initialization is attempted when the instance has already been initialized.
   *
   * @example
   * const options = {
   * };
   * const cbInstance = Chargebee.init(options);
   */
  init(options: CbInstanceOptions): CbInstance;
  getPortalSections(): typeof SectionType;
  getInstance(): CbInstance;
  tearDown(): void;
  registerAgain(): void;
}
