import {PaymentIntent, Callbacks, PaymentAttempt} from '../../../three_domain_secure/common/types';
import GooglePayHandler from '../index';
import {CbError as ClientError} from '../../../../hosted_fields/common/errors';
import {ButtonOption, PaymentData, PaymentRequestOptions} from '../../../../plugins/payments/google_pay/types';
import LightBox from '../../../three_domain_secure/common/lightbox';
export default abstract class AbstractGooglePayHandler {
  constructor(parent: GooglePayHandler);
  abstract mountPaymentButton(
    id: string,
    buttonStyle: ButtonOption,
    paymentRequestOptions: PaymentRequestOptions
  ): Promise<any>;

  handleGooglePayment(callbacks?: Callbacks): Promise<PaymentIntent>;

  protected confirmPayment(data?: any): Promise<any>;

  protected logError(error: any, extraData?: {}): Promise<any>;
}
