import CbInstanceOptions from '../../../interfaces/cb-instance-options';
import {PaymentIntent, Options, Callbacks} from '../../three_domain_secure/common/types';
import {GooglePayment} from '../../../hosted_fields/common/base-types';
import '@/helpers/polyfills';
import {ButtonOption, PaymentData, PaymentRequestOptions} from '../../../plugins/payments/google_pay/types';
export default class GooglePayHandler {
  site: string;
  paymentIntent: PaymentIntent;
  paymentData: PaymentData;
  options: Options;
  component: any;

  constructor(chargebee: CbInstanceOptions);
  mountPaymentButton(
    id: string,
    buttonStyle?: ButtonOption,
    paymentRequestOptions?: PaymentRequestOptions
  ): Promise<any>;
  setPaymentIntent(paymentIntent: PaymentIntent, options?: Options): void;
  updatePaymentIntent(paymentIntent: any): void;
  getPaymentIntent(): PaymentIntent;
  validatePaymentIntent(intent: PaymentIntent): PaymentIntent;
  handlePayment(callbacks?: Callbacks): Promise<any>;
}
