import {PaymentIntent, Callbacks, PaymentAttempt} from '../../../three_domain_secure/common/types';
import {PaymentInfo} from '../../../../plugins/payments/iDeal/types/index';
import IDealHandler from '../index';
import {CbError as ClientError} from '../../../../hosted_fields/common/errors';
import LightBox from '../../../three_domain_secure/common/lightbox';
export default abstract class AbstractIDealHandler {
  constructor(parent: IDealHandler);
  handleIDealPayment(paymentInfo: PaymentInfo, callbacks?: Callbacks): Promise<PaymentIntent>;

  abstract mountBankList(id: string, options?: any): Promise<any>;
  abstract handlePayment(): void;
  abstract setClientConfig(config: any): void;

  protected confirmPayment(data?: any): Promise<any>;

  protected logError(error: any, extraData?: {}): Promise<any>;
}
