import AbstractIDealHandler from '../abstract';
import {PaymentAttempt} from '../../../../three_domain_secure/common/types';
import {CbError} from '../../../../../hosted_fields/common/errors';
import IDealHandler from '../..';
import {Adyen} from '../../../../three_domain_secure/handlers/adyen/types';
export default class AdyenIDealHandler extends AbstractIDealHandler {
  private _paymentMethods;
  private _selectedBank;
  constructor(parent: IDealHandler);
  setClientConfig(config: any): void;
  mountBankList(id: string, options?: any): Promise<any>;
  getSelectedBank(): {
    id: string;
    name: any;
  };
  getBankName(bankId: string): any;
  /**
   * Either get the issuer bank from paymentInfo set by the merchant or
   * from the component state
   */
  getIssuerBank(): string;
  handlePayment(): void;
  handlePaymentFlow(payload: any): Promise<any>;
  sanitizeAdyenError(error?: Adyen.Error): CbError;

  handlePaymentAttempt(paymentAttempt: PaymentAttempt): Promise<any>;
}
