import CbInstanceOptions from '../../../interfaces/cb-instance-options';
import {PaymentIntent, Options} from '../../three_domain_secure/common/types';
import {IDealPayment, PaymentOptions} from '../../../hosted_fields/common/base-types';
import '@/helpers/polyfills';
import CbWindowManager from '../../../models/cb-window-manager';
import {Locale} from '../../../hosted_fields/common/types';
export default class IDealHandler {
  site: string;
  paymentIntent: PaymentIntent;
  options: Options;
  component: any;
  locale: Locale;

  windowManager: CbWindowManager;
  isRedirectMode: boolean;
  constructor(options: CbInstanceOptions);
  setWindowManager(windowManager: CbWindowManager): void;
  setRedirectMode(val: boolean): void;
  validatePaymentIntent(intent: PaymentIntent): PaymentIntent;
  mountBankList(id: string, options?: any): Promise<any>;
  renderDefaultComponent(id: string, options?: any): Promise<any>;
  fetchGatewayDetails(options: any): Promise<any>;
  getSelectedBank(): any;
  handlePayment(options: PaymentOptions): Promise<any>;
}
