import {ConfirmApiInputPayload, PaymentInfo, PaymentIntent} from '../../common/types';
export declare const TokenizationType: {
  Client: string;
  Server: string;
};
export declare type TokenizationTypeEnum = (typeof TokenizationType)[keyof typeof TokenizationType];
export interface Base3DSConfig {
  gateway: string;
  supported_flows: string[];
  challenge_window?: 'iframe' | 'tab';
  tokenization_type: TokenizationTypeEnum;
}
export interface GatewayConfig {
  getConfirmApiPayload?: (paymentInfo: PaymentInfo, paymentIntent: PaymentIntent) => Promise<ConfirmApiInputPayload>;
  createSDKInstance?: () => Promise<any>;
  loadSDKScript?: () => Promise<void>;
}
