import {
  PaymentIntent,
  Callbacks,
  PaymentInfo,
  PaymentAttempt,
  Customer,
  Mandate,
  ConfirmApiInputPayload,
} from '../common/types';
import ThreeDSecureHandler from '../index';
import {CbError as ClientError} from '../../../hosted_fields/common/errors';
import LightBox from '../common/lightbox';
import {Address} from '../../../plugins/three_domain_secure/types';
export default abstract class AbstractThreeDSecureHandler {
  constructor(parent: ThreeDSecureHandler);
  retrievePaymentIntent(paymentIntentId: string): Promise<PaymentIntent>;

  handleCardPayment(paymentInfo: PaymentInfo, callbacks?: Callbacks): Promise<PaymentIntent>;

  abstract validate(): boolean;
  abstract handlePayment(): void;
  cancel(reason?: string): Promise<any>;

  protected confirmPayment(data?: ConfirmApiInputPayload): Promise<any>;

  protected getAdditionalMetaData(): {};

  protected logError(error: any, extraData?: {}): Promise<any>;

  setChallengeWindowSize(containerEl: any, challengeWindowSize: any): void;
}
