import AbstractThreeDSecureHandler from '../abstract';
import {PaymentAttempt} from '../../common/types';
import {Adyen} from './types';
import ThreeDSecureHandler from '../../index';
import {CbError} from '../../../../hosted_fields/common/errors';
export default class Adyen3DSHandler extends AbstractThreeDSecureHandler {
  constructor(parent: ThreeDSecureHandler);
  validate(): boolean;
  checkAdyenInstance(): Promise<any>;
  onAdditionalDetails(state: any, component: any): void;
  generateOriginKey(): Promise<string>;
  createAdyenCheckoutInstance(originKey: any): Promise<any>;
  handlePayment(): void;
  doManualDeviceFingerprinting(payload: any): Promise<unknown>;
  handlePaymentFlow(payload: any): Promise<any>;
  sanitizeAdyenError(error?: Adyen.Error): CbError;
  createPlaceholderElement(): HTMLDivElement;
  removePlaceholderElement(): void;
  handleAdyenAction(paymentAttempt: PaymentAttempt): Promise<unknown>;

  handlePaymentAttempt(paymentAttempt: PaymentAttempt): Promise<any>;
}
