import CbInstanceOptions from '../../interfaces/cb-instance-options';
import {PaymentIntent, PaymentInfo, Options, Callbacks} from './common/types';
import CbWindowManager from '../../models/cb-window-manager';
import {ThreeDSHandler} from '../../hosted_fields/common/base-types';
import '@/helpers/polyfills';
import {ResponseInnerMessage} from '../../hosted_fields/common/types';
export default class ThreeDSecureHandler {
  site: string;
  paymentIntent: PaymentIntent;
  options: Options;
  isCbCheckout: boolean;
  windowManager: CbWindowManager;
  private _3dsHandlerPromise;
  constructor(chargebee: CbInstanceOptions);
  retrievePaymentIntent(paymentIntentId: string): Promise<ResponseInnerMessage>;
  setWindowManager(windowManager: CbWindowManager): void;
  closeTab(): void;
  setPaymentIntent(paymentIntent: PaymentIntent, options?: Options): void;
  updatePaymentIntent(paymentIntent: any): void;
  getPaymentIntent(): PaymentIntent;
  hasReturnUrlAtIntent(): boolean;
  openNewWindow(override?: any): void;

  handleCardPayment(paymentInfo?: PaymentInfo, callbacks?: Callbacks): Promise<PaymentIntent>;
  cancel(reason?: string): Promise<PaymentIntent>;
  validatePaymentIntent(intent: PaymentIntent): PaymentIntent;
}
