import ClientReceiver from './client-receiver';
import {WindowType} from '../enums';
import {ActionInnerMessage, CommunicationMessage, ResponseInnerMessage, ReplyMessageOptions} from '../types';
export declare const MASTER_IFRAME_NAME: string;
export declare const HOST_NAME: string;
interface Client {
  receiver: ClientReceiver;
  windowType: WindowType;
  constructor(windowType?: WindowType, autoListen?: boolean);
  messagePreFilter(message: ActionInnerMessage, targetIframeName: string, replyOptions: ReplyMessageOptions): void;
  sendMessage(
    _message: ActionInnerMessage,
    targetIframeName: any,
    replyOptions?: ReplyMessageOptions
  ): Promise<ResponseInnerMessage>;
  constructPayload(message: any, replyId: any, srcWindowName: any, targetWindowName: any): CommunicationMessage;
}
export default Client;
