declare const _default: {
  error: {
    unknownError: string;
    recaptchaMaxRetryOver: string;
    captchaGenerateTokenMaxRetryOver: string;
    captchaInitializationMaxRetryOver: string;
    recaptchaLoadTimeout: string;
    recaptchaScriptLoadFailed: string;
    recaptchaInitiationTimeout: string;
    scriptError: string;
    validation: {
      cardNumberInvalid: string;
      cardNumberIncomplete: string;
      invalidCard: string;
      cardExpiryPast: string;
      cardExpiryInvalid: string;
      cardExpiryIncomplete: string;
      cardCvvIncomplete: string;
      cardCvvInvalid: string;
    };
    component: {
      moduleNotSupported: string;
      moduleNotLoaded: string;
      invalidComponentType: string;
      invalidSelector: string;
      invalidListener: string;
      validationFailed: string;
      noContainerElement: string;
      containerElementNotFound: string;
      frameNotSpecified: string;
      componentNotRegistered: string;
      componentNotFound: string;
    };
    host: {
      missingMandatoryParameters: string;
    };
    field: {
      invalidFieldType: string;
      fieldAlreadyExists: string;
      fieldNotAllowed: string;
      noFieldsToMount: string;
      missingFields: string;
    };
    master: {
      replyTimeout: string;
      componentAlreadyPresent: string;
      errorMountingMaster: string;
      instanceAlreadyExists: string;
      unknownMessageOrigin: string;
      sendMessageError: string;
      sendMessageMismatchError: string;
      noMessageTarget: string;
      receiveMessageError: string;
      responseError: string;
      responseMismatchError: string;
      masterNotMountedForComponents: string;
    };
    options: {
      missingPublishableKey: string;
    };
    threedsecure: {
      invalidPaymentIntent: string;
      missingCardDetails: string;
      invalidCardReferenceId: string;
      unknownPaymentAttemptStatus: string;
      adyen: {
        invalidAdyenCheckoutInstance: string;
        missingPaymentInfo: string;
        missingRedirectInfo: string;
        invalidOriginKey: string;
      };
      braintree: {
        missingPaymentInfo: string;
        invalidInstance: string;
        missingInstance: string;
        missingThreeDSecure: string;
        failedThreeDSecureAuth: string;
        invalidHostedFields: string;
        invalidTokenizedCard: string;
        noTokenizedCards: string;
        missingNonceForBraintreeReferenceId: string;
      };
      spreedly: {
        missingPaymentInfo: string;
      };
      stripe: {
        invalidInstance: string;
        missingPaymentInfo: string;
        missingInstance: string;
      };
      bluesnap: {
        missingPaymentInfo: string;
      };
      ingenico_direct: {
        missingPaymentInfo: string;
      };
      worldpay: {
        missingPaymentInfo: string;
        missingCardHolderInfo: string;
        missingEmailInfo: string;
      };
      mollie: {
        missingPaymentInfo: string;
        missingCardHolderInfo: string;
      };
      razorpay: {
        missingPaymentInfo: string;
        missingCardHolderInfo: string;
        missingEmailInfo: string;
        missingPhoneInfo: string;
      };
      bankOfAmerica: {
        missingEmailInfo: string;
        missingPaymentInfo: string;
      };
      payfurl: {
        missingPaymentInfo: string;
        missingCountryCode: string;
      };
      paycom: {
        missingPaymentInfo: string;
        invalidOrMissingPaymentInfo: string;
      };
      ebanx: {
        missingPaymentInfo: string;
        invalidDocument: string;
      };
      dlocal: {
        missingPaymentInfo: string;
        invalidDocument: string;
      };
      chargebeePayments: {
        missingPaymentInfo: string;
        invalidChargebeePaymentsCheckoutInstance: string;
      };
      vantivPayments: {
        missingPaymentInfo: string;
      };
      globalPayments: {
        missingPaymentInfo: string;
      };
    };
    payments: {
      common: {
        missingPaymentIntentForMountButton: string;
      };
      iDeal: {
        missingCurrency: string;
        adyen: {
          missingIssuerBank: string;
        };
      };
      bancontant: {
        adyen: {
          missingPaymentInfo: string;
        };
      };
      klarnaPayNow: {
        adyen: {
          missingBillingAddressInfo: string;
        };
      };
      gpay: {
        missingTokenInfoInPaymentData: string;
      };
      applepay: {
        applePayNotSupported: string;
        applePayPaymentsNotAvailable: string;
        applePayElementNotFound: string;
      };
      directDebit: {
        unsupportedScheme: string;
        unsupportedGateway: string;
        missingPaymentInfo: string;
        invalidOrMissingPaymentInfo: string;
        plaidNotsupported: string;
      };
      boleto: {
        missingPaymentInfo: string;
        invalidOrMissingPaymentInfo: string;
      };
      venmo: {
        venmoNotSupportedByBrowser: string;
        venmoAppCanceled: string;
        venmoCanceled: string;
      };
      fasterPayment: {
        invalidOrMissingPaymentInfo: string;
        missingCountryCode: string;
        eitherCurrencyCodeOrGwAccIdRequired: string;
      };
      payTo: {
        invalidOrMissingPaymentInfo: string;
        missingCountryCode: string;
        eitherCurrencyCodeOrGwAccIdRequired: string;
      };
      sepaInstantTransfer: {
        invalidOrMissingPaymentInfo: string;
        missingCountryCode: string;
        eitherCurrencyCodeOrGwAccIdRequired: string;
      };
    };
    functions: {
      vat: {
        missingVatParams: string;
      };
    };
    components: {
      invalidComponent: string;
    };
  };
  warning: {
    component: {
      componentNotMounted: string;
      componentMounting: string;
      componentAlreadyMounted: string;
      componentNotRegistered: string;
    };
    css: {
      unknownProperty: string;
      invalidValue: string;
      unknownFieldProperty: string;
      unknownCssProperty: string;
      unknownCssClass: string;
      incorrectClass: string;
      unknownFontProp: string;
      invalidFont: string;
      invalidSrcUrl: string;
      fontUrlNotWhitelisted: string;
      fontNotInPx: string;
      invalidCssValue: string;
      invalidCssColor: string;
    };
    options: {
      localeNotSupported: string;
      invalidPlaceholderObject: string;
      invalidFields: string;
      invalidPlaceholderValue: string;
      unknownStyleProperty: string;
      invalidStyles: string;
    };
  };
  displayError: {
    common: string;
    tryAgain: string;
    refused: string;
    amount_too_small: string;
    card_declined: string;
    expired_card: string;
    incorrect_cvc: string;
    incorrect_number: string;
    incorrect_zip: string;
    processing_error: string;
    token_already_used: string;
    invalid_or_missing_payment_info: string;
  };
  placeholder: {
    number: string;
    expiry: string;
    cvv: string;
    bank_select: string;
    bank_list: string;
  };
  label: {
    bank_select: string;
  };
  ariaLabel: {
    number: string;
    expiry: string;
    cvv: string;
  };
};
export default _default;
