import {
  ResponseInnerMessage,
  FieldComponentOptions,
  FieldValue,
  FontsWhitelist,
  BroadcastStatus,
  Styles,
  Placeholder,
  Locale,
  AriaLabel,
} from '../../common/types';
export default interface BaseFactory {
  create(): Promise<ResponseInnerMessage>;
  generateHTMLTemplate(options: FieldComponentOptions): string;
  getValue(): FieldValue;
  validate(targetElement: HTMLInputElement, force: boolean): void;
  receiveStatus(data: BroadcastStatus): ResponseInnerMessage;
  focus(): ResponseInnerMessage;
  blur(): ResponseInnerMessage;
  clear(): ResponseInnerMessage;
  destroy(): ResponseInnerMessage;
  validateField(): ResponseInnerMessage;
  updateStyles(data: Styles): ResponseInnerMessage;
  updateFonts(data: FontsWhitelist): ResponseInnerMessage;
  updatePlaceholder(data: Placeholder | string): ResponseInnerMessage;
  updateAriaLabel?(data: AriaLabel | string): ResponseInnerMessage;
  updateIcon(data: boolean): ResponseInnerMessage;
  updateLocale(data: Locale): ResponseInnerMessage;
  updateIDealBankList(data: any): ResponseInnerMessage;
  iDealBankSelected(data: any): ResponseInnerMessage;
  selectTestCard?(data: any): ResponseInnerMessage;
  configData?(data: any): ResponseInnerMessage;
}
