import Client from '../../common/connection/client';
import {IDeal} from '../../common/enums';
import {
  FieldStatus,
  FieldValue,
  ResponseInnerMessage,
  Styles,
  FieldComponentOptions,
  MessageData,
  FontsWhitelist,
  BroadcastStatus,
  Placeholder,
  Locale,
  AriaLabel,
  TestCard,
  BINData,
  BinDataResponse,
} from '../../common/types';
import {Card} from '../../common/enums';
import BaseFactoryInterface from './base-factory-interface';
export default class BaseFactory {
  protected fieldType: Card.ComponentFieldType | IDeal.ComponentFieldType;

  private _id;

  constructor(client: Client, data: MessageData);
  selectTestCard(eventData: {
    data: {
      selectedCardData: TestCard;
    };
  }): ResponseInnerMessage;
  configData(data: any): ResponseInnerMessage;
  create(): Promise<unknown>;
  embedFonts(): void;
  destroy(): {
    acknowledged: boolean;
  };
  preventKeys(event: KeyboardEvent): boolean;
  onKeyPress(event: KeyboardEvent): void;
  addListeners(id: string): void;
  blur(): ResponseInnerMessage;
  focus(): ResponseInnerMessage;
  clear(): ResponseInnerMessage;
  onFocus(event: FocusEvent): void;
  onBlur(event: FocusEvent): void;
  removeListeners(id: string): void;
  getValue(): FieldValue;
  updateStyles(styles: Styles): ResponseInnerMessage;
  generateHTMLTemplate(options: FieldComponentOptions): string;
  onChange(event: KeyboardEvent): void;

  setSelectedScheme: (scheme: string) => void;
  setBinData: (binData: BinDataResponse | undefined) => void;

  getBINData(value: string): BINData | undefined;
  validate(target: HTMLInputElement, force?: boolean): void;
  setCSSClasses(): void;
  validateField(): {
    [x: string]: any;
  };
  relayStatus(): void;
  receiveStatus(statusEvent: BroadcastStatus): ResponseInnerMessage;
  updateFonts(data: FontsWhitelist): ResponseInnerMessage;
  updatePlaceholder(data: Placeholder | string): ResponseInnerMessage;
  updateAriaLabel?(data: AriaLabel | string): ResponseInnerMessage;
  updateIcon(data: boolean): ResponseInnerMessage;
  updateLocale(data: Locale): ResponseInnerMessage;
  updateIDealBankList(data: any): ResponseInnerMessage;
  iDealBankSelected(data: any): ResponseInnerMessage;
}
