import BaseFactory from './base-factory-interface';
import Client from '../../common/connection/client';
import {
  FieldStatus,
  Styles,
  ResponseInnerMessage,
  MessageData,
  FieldComponentOptions,
  FontsWhitelist,
  Placeholder,
  Locale,
  AriaLabel,
  BINData,
  BinDataResponse,
} from '../../common/types';
declare type Status = {
  string?: FieldStatus;
};
export default class CardCombined {
  constructor(client: Client, data: MessageData);
  initializeLogger(): void;
  create(): Promise<ResponseInnerMessage>;
  embedFonts(): void;
  click(e: Event): void;
  focus(): {
    acknowledged: boolean;
  };
  blur(): {
    acknowledged: boolean;
  };
  clear(): {
    acknowledged: boolean;
  };
  destroy(): {
    acknowledged: boolean;
  };
  postOperations: () => void;
  removeCallbacks(): void;

  onFocus: (event: FocusEvent) => void;
  onBlur: (event: FocusEvent) => void;
  onResize: (event: any) => void;
  onKeyPress: (event: KeyboardEvent) => void;

  onChange: (event: KeyboardEvent) => void;

  getValue(): {};
  generateHTMLTemplate: (options: FieldComponentOptions) => string;
  updateStyles(styles: Styles): ResponseInnerMessage;
  handleFakeNumber(): void;
  validate: (_: any, force: boolean) => void;
  checkAll: (status: string) => any;
  checkAny: (status: string) => any;

  setSelectedScheme: (scheme: string) => void;
  setBinData: (binData: BinDataResponse | undefined) => void;

  getBINData(value: string): BINData | undefined;

  receiveStatus(): ResponseInnerMessage;
  validateField(): Status;
  updateFonts(data: FontsWhitelist): ResponseInnerMessage;
  updatePlaceholder(data: Placeholder): ResponseInnerMessage;
  updateAriaLabel(data: AriaLabel): ResponseInnerMessage;
  updateIcon(data: boolean): ResponseInnerMessage;
  updateLocale(data: Locale): ResponseInnerMessage;
  updateIDealBankList(data: any): ResponseInnerMessage;
  iDealBankSelected(data: any): ResponseInnerMessage;

  selectTestCard(eventData: any): ResponseInnerMessage;
  configData(data: any): ResponseInnerMessage;
}
export {};
