declare type IconElement = SVGElement | HTMLImageElement;
export interface BinDataResponse {
  card_bin_info: Array<{
    brand: string;
    isPrepaid: boolean;
    cardType: string;
    countryName: string;
  }>;
  verification_info: {
    rule_id: string;
    verification_control: string;
    verification_control_outcome: Record<string, any>;
    verification_outcome_translation_key: string;
  };
}
export declare const substituteCardIcon: (
  els: IconElement[],
  iconImages: IconElement[],
  iconImageParent: HTMLElement,
  setSelectedScheme: (selectedScheme: string) => void,
  animateCardIcon: () => void
) => void;
export declare const clearIcons: (iconImages: IconElement[]) => void;
export declare const handleImageClick: (
  iconImages: IconElement[],
  selectedImage: IconElement,
  setSelectedScheme: (scheme: string | undefined) => void
) => void;
export declare const createCardImage: (cardType: string) => IconElement;
export declare const createDefaultCardIcon: () => IconElement;
export declare const createInvalidCardIcon: () => IconElement;
export declare const isCardTypeAllowed: (cardType: string) => boolean;
export declare const shouldUpdateCardIconAndScheme: (gwConfig: any, cardType: string) => boolean;
export declare const fetchBinData: (num: string, client: any) => Promise<BinDataResponse>;
export declare const updateCardIconsAndScheme: (
  binData: BinDataResponse,
  cardImages: IconElement[],
  iconImages: IconElement[],
  iconImageParent: HTMLElement,
  gwConfig: any,
  setSelectedScheme: (scheme: string | undefined) => void,
  animateCardIcon: () => void
) => void;
export declare const originalHandleCardBinData: (
  num: string,
  client: any,
  cardImages: IconElement[],
  iconImages: IconElement[],
  iconImageParent: HTMLElement,
  gwConfig: any,
  cardType: any,
  setSelectedScheme: (scheme: string | undefined) => void,
  animateCardIcon: () => void,
  setBinData?: (binData: BinDataResponse | undefined) => void
) => Promise<BinDataResponse>;
export declare const isNumberFieldAndSameValue: (target: any, previousNumber: any) => boolean;
export declare const setCardIcon: (
  target: HTMLInputElement,
  isInvalid: boolean,
  cardNumber: string,
  cardType: any,
  prevCardType: string,
  prevInvalid: boolean,
  client: any,
  gwConfig: any,
  iconImageParent: HTMLElement,
  iconImages: IconElement[],
  setSelectedScheme: (scheme: string | undefined) => void,
  animateCardIcon: () => void,
  previousNumber: any,
  setBinData?: (binData: BinDataResponse | undefined) => void
) => void;
export {};
