import BaseFactory from './base-factory-interface';
import Client from '../../common/connection/client';
import {
  Styles,
  ResponseInnerMessage,
  MessageData,
  FieldComponentOptions,
  FontsWhitelist,
  Placeholder,
  Locale,
} from '../../common/types';
import {IDealFactory} from './ideal-bank-select';
export default class IDealBankList extends IDealFactory {
  constructor(client: Client, data: MessageData);
  initializeLogger(): void;
  create(): Promise<ResponseInnerMessage>;
  embedFonts(): void;
  destroy(): {
    acknowledged: boolean;
  };
  postOperations: () => void;
  removeCallbacks(): void;
  generateHTMLTemplate: (options: FieldComponentOptions) => string;
  updateStyles(styles: Styles): ResponseInnerMessage;
  updateFonts(data: FontsWhitelist): ResponseInnerMessage;
  updatePlaceholder(data: Placeholder): ResponseInnerMessage;
  updateLocale(data: Locale): ResponseInnerMessage;
  updateIDealBankList(data: any): ResponseInnerMessage;
  onBankSelect(e: any): void;
  iDealBankSelected(data: any): ResponseInnerMessage;
}
