import Client from '../../common/connection/client';
import {
  Styles,
  ResponseInnerMessage,
  MessageData,
  FieldComponentOptions,
  FontsWhitelist,
  Placeholder,
  Locale,
  BroadcastStatus,
  FieldValue,
} from '../../common/types';
import BaseFactory from './base-factory-interface';
export interface IDealFactory {
  getValue(): FieldValue;
  validate(targetElement: HTMLInputElement, force: boolean): void;
  receiveStatus(data: BroadcastStatus): ResponseInnerMessage;
  focus(): ResponseInnerMessage;
  blur(): ResponseInnerMessage;
  clear(): ResponseInnerMessage;
  destroy(): ResponseInnerMessage;
  validateField(): ResponseInnerMessage;
  updateIcon(data: boolean): ResponseInnerMessage;
  iDealBankSelected(data: any): ResponseInnerMessage;
}
export default class IDealBankSelect extends IDealFactory {
  constructor(client: Client, data: MessageData);
  initializeLogger(): void;
  create(): Promise<ResponseInnerMessage>;
  embedFonts(): void;
  click(e: Event): void;
  destroy(): {
    acknowledged: boolean;
  };
  postOperations: () => void;
  removeCallbacks(): void;
  onFocus: (event: FocusEvent) => void;
  onBlur: (event: FocusEvent) => void;
  generateHTMLTemplate: (options: FieldComponentOptions) => string;
  updateStyles(styles: Styles): ResponseInnerMessage;
  updateFonts(data: FontsWhitelist): ResponseInnerMessage;
  updatePlaceholder(data: Placeholder): ResponseInnerMessage;
  updateLocale(data: Locale): ResponseInnerMessage;
  iDealBankSelected(data: any): ResponseInnerMessage;
  updateIDealBankList(data: any): ResponseInnerMessage;
}
