import {
  ResponseInnerMessage,
  FontsWhitelist,
  MessageData,
  BroadcastStatus,
  Placeholder,
  AriaLabel,
} from '../common/types';
import BaseFactory from './fields/base-factory-interface';
import Client from '../common/connection/client';
import {Styles, Locale} from '../common/types';
export default class ComponentFactory {
  component: BaseFactory;
  create(client: Client, data: MessageData): Promise<ResponseInnerMessage>;
  fetchData(): Promise<ResponseInnerMessage>;
  receiveStatus(data: BroadcastStatus): Promise<ResponseInnerMessage>;
  focus(): Promise<ResponseInnerMessage>;
  blur(): Promise<ResponseInnerMessage>;
  clear(): Promise<ResponseInnerMessage>;
  _create(client: Client, data: MessageData): Promise<BaseFactory>;
  destroy(): Promise<ResponseInnerMessage>;
  validate(): Promise<ResponseInnerMessage>;
  updateFonts(data: FontsWhitelist): Promise<ResponseInnerMessage>;
  updateStyles(data: Styles): Promise<ResponseInnerMessage>;
  updatePlaceholder(data: Placeholder | string): Promise<ResponseInnerMessage>;
  updateAriaLabel(data: AriaLabel | string): Promise<ResponseInnerMessage>;
  updateIcon(data: boolean): Promise<ResponseInnerMessage>;
  updateLocale(data: Locale): Promise<ResponseInnerMessage>;
  updateIDealBankList(data: any): Promise<ResponseInnerMessage>;
  iDealBankSelected(data: any): Promise<ResponseInnerMessage>;
  selectTestCard(data: any): Promise<ResponseInnerMessage>;
  configData(data: any): Promise<ResponseInnerMessage>;
}
