import {FieldStatus, EventMessage, FieldOptions} from '../common/types';
import {Events, Card, ComponentMountStatus} from '../common/enums';
import CardComponent from './card-component';
import CbIframe from './cb-iframe';
export default class CardField {
  mountStatus: ComponentMountStatus;
  status: FieldStatus;
  fieldType: Card.ComponentFieldType;
  id: string;
  parent: CardComponent;
  cbIframe: CbIframe;

  container: HTMLElement;
  options: FieldOptions;
  focused: boolean;
  listeners: {
    focus?: Function;
    blur?: Function;
    change?: Function;
    ready?: Function;
  };

  constructor(fieldType: Card.ComponentFieldType, component: CardComponent, fieldOptions?: FieldOptions);

  at(domElement: string | HTMLElement): CardField;

  update(fieldOptions: FieldOptions): this;
  isMounted(): boolean;
  focus(): void;
  blur(): void;
  clear(): void;
  on(eventType: Events, eventCallback: Function): this;
  mount(domElement?: string | HTMLElement): Promise<boolean>;

  setComponentOnChange(callback: Function): void;
  destroy(): Promise<boolean>;
  applyCSSClass(): void;

  _handleEvent(data: EventMessage): void;
  getStatus(): FieldStatus;
}
