import {ActionInnerMessage, ResponseInnerMessage} from '../common/types';
import IframeClient from '../common/connection/client';
import '@/helpers/polyfills';
import CbInstanceOptions from '../../interfaces/cb-instance-options';
import PluginManager from '../../plugins/core/plugin-manager';
import {ApiClientInterface} from '../../plugins/core/api/interface';
import PluginInterface, {PluginName} from '../../plugins/core/interface';
import ComponentsAndFieldsPluginInterface from '../../plugins/components_fields/actions/interface';
import LoggerPluginInterface from '../../plugins/logger/actions/interface';
import ThreeDSPluginInterface from '../../plugins/three_domain_secure/actions/interface';
import FunctionsPluginInterface from '../../plugins/functions/actions/interface';
import {Metadata} from '../../plugins/logger/types';
import CommManagerInterface from './interface';
import CheckoutUtilsPluginInterface from '../../plugins/checkout_utils/actions/interface';
import IDealPluginInterface from '../../plugins/payments/iDeal/actions/interface';
import SofortPluginInterface from '../../plugins/payments/sofort/actions/interface';
import BancontactPluginInterface from '../../plugins/payments/bancontact/actions/interface';
import GooglePayPluginInterface from '../../plugins/payments/google_pay/actions/interface';
import GiropayPluginInterface from '../../plugins/payments/giropay/actions/interface';
import DotpayPluginInterface from '../../plugins/payments/dotpay/actions/interface';
import DirectDebitPluginInterface from '../../plugins/payments/direct_debit/actions/interface';
import ApplePayPluginInterface from '../../plugins/payments/apple_pay/actions/interface';
import AmazonayPluginInterface from '../../plugins/payments/amazon_payments/actions/interface';
import {CaptchaPluginInterface, RecaptchaOptions} from '../../plugins/captcha/types';
import FasterPymtsPluginInterface from '../../plugins/payments/faster_payments/actions/interface';
import PayToPluginInterface from '../../plugins/payments/pay_to/actions/interface';
import SepaInstantTransferPluginInterface from '../../plugins/payments/sepa_instant_transfer/actions/interface';
export default class Master {
  _inst: Master;
  hostName: string;
  site: string;
  publishableKey: string;
  businessEntityId: string;
  connectionClient: IframeClient;
  apiClient: ApiClientInterface;
  pluginMan: PluginManager;
  site_meta: {
    window_url?: string;
    options?: CbInstanceOptions;
  };
  piWorker: Worker;
  instance(): Master;
  loadPlugin(plugin: PluginName): Promise<PluginInterface>;
  getComponentsAndFieldsPlugin(): Promise<ComponentsAndFieldsPluginInterface>;
  getThreeDSPlugin(): Promise<ThreeDSPluginInterface>;
  getLoggerPlugin(): Promise<LoggerPluginInterface>;
  getCheckoutUtilsPlugin(): Promise<CheckoutUtilsPluginInterface>;
  getFunctionsPlugin(): Promise<FunctionsPluginInterface>;
  getIdealPlugin(): Promise<IDealPluginInterface>;
  getSofortPlugin(): Promise<SofortPluginInterface>;
  getBancontactPlugin(): Promise<BancontactPluginInterface>;
  getGooglePayPlugin(): Promise<GooglePayPluginInterface>;
  getGiropayPlugin(): Promise<GiropayPluginInterface>;
  getDotpayPlugin(): Promise<DotpayPluginInterface>;
  getFasterPaymentsPlugin(): Promise<FasterPymtsPluginInterface>;
  getPayToPlugin(): Promise<PayToPluginInterface>;
  getSepaInstantTransferPlugin(): Promise<SepaInstantTransferPluginInterface>;
  getDirectDebitPlugin(): Promise<DirectDebitPluginInterface>;
  getApplePayPlugin(): Promise<ApplePayPluginInterface>;
  getCaptchaPlugin(): Promise<CaptchaPluginInterface>;
  getAmazonPayPlugin(): Promise<AmazonayPluginInterface>;
  getPlugin(pluginName: PluginName): Promise<PluginInterface>;

  initialize(): Promise<any>;

  initializeCaptcha(options: RecaptchaOptions): Promise<ResponseInnerMessage>;
  generateCaptchaToken(action: string): Promise<string | undefined>;

  getSiteInfo(): Metadata;
  isTestSite(): boolean;
  invokeAction(message: ActionInnerMessage): Promise<ResponseInnerMessage>;
  setBusinessEntityAction(message: ActionInnerMessage): Promise<ResponseInnerMessage>;
  constructor();
}
