import {CHECKOUT_CALLBACK_KEYS} from '../../../constants/callbacks';
import {PageType} from '../../../constants/enums';
import {CbCallbacksInterface, CbTotalCallbacks} from '../../../interfaces/cb-types';
export declare type EventCallbacks = {
  [key in (typeof CHECKOUT_CALLBACK_KEYS)[number]]: Function;
};
export declare type Event = {
  data: any;
};
export interface Listener {
  type: PageType;
  callbacks: EventCallbacks;
}
export declare function combineDefaultCallbacks(defaultCallbacks: CbTotalCallbacks): CbCallbacksInterface;
export default class EventInterface {
  listeners: Map<string, Listener>;
  registerListener(callbacks: EventCallbacks, type: PageType): string;
  unregisterListener(id: string): void;
  onEvent(e: Event): void;
}
