import {PortalSession} from './cb-types';
import {Locale} from '../hosted_fields/common/enums';
export default interface CbInstanceOptions {
  site: string;
  domain?: string;
  publishableKey?: string;
  locale?: Locale;
  portalSession?: (() => Promise<PortalSession>) | string;
  enableGATracking?: boolean;
  enableFBQTracking?: boolean;
  enableRefersionTracking?: boolean;
  enableFriendbuyTracking?: boolean;
  iframeOnly?: boolean;
  cspNonce?: string;
  /**
   * Opens checkout in a full page instead of as a popup in the same page.
   */
  enableRedirectMode?: boolean;
  /**
   * Success redirect will redirect at top level instead of window.location.href.
   *
   * For eg: when platforms like Atomic Pricing which is already in an iframe opens checkout,
   * without this flag the success redirect is done at iframe which is not what is expected.
   * Enabling this flag will ensure the top level page itself gets redirected to the configured url.
   */
  enableTopLevelRedirectOnSuccess?: boolean;
  enableGTMTracking?: boolean;
  recaptchaKey?: string;
  isItemsModel?: boolean;
  businessEntityId?: string;
}
