import {SectionType} from '../constants/enums';
export interface CbPortalOptions {
  pageType?: string;
  url?: string;
  loaded?: () => void;
  close?: () => void;
  visit?: (sectionType: string) => void;
  paymentSourceAdd?: () => void;
  paymentSourceUpdate?: () => void;
  paymentSourceRemove?: () => void;
  subscriptionChanged?: (data: {
    subscription: {
      id: string;
    };
  }) => void;
  subscriptionCustomFieldsChanged?: (data: {
    subscription: {
      id: string;
    };
  }) => void;
  subscriptionCancelled?: (data: {
    subscription: {
      id: string;
    };
  }) => void;
  subscriptionResumed?: (data: {
    subscription: {
      id: string;
    };
  }) => void;
  subscriptionPaused?: (data: {
    subscription: {
      id: string;
    };
  }) => void;
  scheduledPauseRemoved?: (data: {
    subscription: {
      id: string;
    };
  }) => void;
  scheduledCancellationRemoved?: (data: {
    subscription: {
      id: string;
    };
  }) => void;
  subscriptionReactivated?: (data: {
    subscription: {
      id: string;
    };
  }) => void;
}
export interface CbPortalForwardOptions {
  sectionType?: SectionType;
  params?: {
    subscriptionId?: string;
    paymentSourceId?: string;
  };
}
