import ChargebeePortal from '../models/chargebee-portal';
import Product from '../models/product';
import Cart from '../models/cart';
import {Layout} from '../constants/enums';
export interface CbCallbacksInterface {
  [callback: string]: Function;
}
export interface CbTotalCallbacks {
  [callback: string]: Array<Function>;
}
export interface TimeLogs {
  [name: string]: number;
}
export interface PageOptions {
  hostedPage?: (() => Promise<HostedPageData>) | string;
  hostedPageUrl?: string;
  url?: string;
  layout?: Layout;
}
export interface StyleConfig {
  image?: string;
  color?: string;
  layout?: Layout;
}
export interface HostedPageData {
  url: string;
}
export interface PortalSession {
  token: string;
}
export interface TimeOuts {
  [name: string]: number;
}
export interface Address {
  first_name?: string;
  last_name?: string;
  company?: string;
  phone?: string;
  email?: string;
  line1?: string;
  line2?: string;
  city?: string;
  state?: string;
  state_code?: string;
  country?: string;
  zip?: string;
}
export interface Customer {
  first_name?: string;
  last_name?: string;
  email?: string;
  phone?: string;
  company?: string;
  billing_address?: Address;
}
export interface CbAnchorElement extends HTMLElement {
  cbCart?: Cart;
  cbProduct?: Product;
  cbPortal?: ChargebeePortal;
}
