import {
  CardInfo,
  Address,
  Customer,
  PaymentIntent,
  ConfirmApiPayload,
  ConfirmApiInputPayload,
} from '../payment-intent/types';
import {StateFullPromise} from '../../hosted_fields/common/types';
declare global {
  interface Window {
    _hp_csp_nonce: string;
  }
}
export declare const loadScript: (url: any, namespace: any) => Promise<boolean>;
export declare const loadScriptUsingPredicate: (url: any, predicate: any) => Promise<boolean>;
export declare const loadScriptWithoutPredicate: (url: any, onload: any, onerror?: any) => void;
export declare const loadCSS: (href: string) => Promise<unknown>;
export declare const getURLParams: (url: string) => any;
export declare const validateRawCardDetails: (card: CardInfo) => boolean;
export declare const sanitizeAddress: (addr: Address) => Address;
export declare const sanitizeCustomerInfo: (customer: Customer) => Customer;
export declare function removeEmptyKeys(data: any): any;
export declare function onlyNumeric(val: any): any;
export declare function onlyString(val: any): string;
export declare function getPaymentIntentApiHeaders(data: ConfirmApiPayload): {
  Authorization: string;
};
export declare function constructPaymentIntentApiPayload(
  paymentIntent: PaymentIntent,
  payload?: ConfirmApiInputPayload
): ConfirmApiPayload;
export declare function wrapWithStates(promise: any): StateFullPromise<any>;
export declare function debounce<T extends (...args: any[]) => any>(
  func: T,
  wait: number
): (...args: Parameters<T>) => void;
