import {Callbacks, PaymentIntent, PaymentInfo} from './types';
import {CbError as ClientError} from '../../hosted_fields/common/errors';
import {Locale} from '../../hosted_fields/common/types';
declare type Options = {
  paymentIntent: PaymentIntent;
  locale?: Locale;
  paymentInfo: PaymentInfo;
};
export default class CallbackHandler {
  callbacks: Callbacks;
  options: Options;

  constructor(callbacks: Callbacks, options: Options);
  triggerSuccessCallback(): void;
  triggerErrorCallback(error: any): void;
  triggerCancelCallback(data?: any): void;
  triggerClickCallback(): Promise<void>;
  triggerChangeCallback(): void;
  intentError(): ClientError;
  setPromiseResolvers(resolver: (PaymentIntent: any) => void, rejector: (Error: any) => void): void;
  setHistoryCount(count: number): void;
  setStartTime(): void;
  setEndTime(): void;
  kvl(data: any): Promise<any>;
  logError(error: any, extraData?: {}): Promise<any>;
  logTimeTaken(status: string): void;

  setPaymentIntent(intent: PaymentIntent): void;

  getMetadata(): any;
}
export {};
