import Product from './product';
import {Address, Customer, CbCallbacksInterface} from '../interfaces/cb-types';
export default class Cart {
  products: Array<Product>;
  shippingAddress: Address;
  customer: Customer;
  affiliateToken: string;
  businessEntityId: string;
  callbacks: CbCallbacksInterface;
  addItem(item: Product): Cart;
  replaceProduct(product: Product): Cart;
  fetchItem(planId: string): Product;
  removeItem(item: Product): Cart;
  calculateEstimate(): Promise<any>;
  setShippingAddress(address: Address): Cart;
  setCustomer(customer: Customer): Cart;
  setAffiliateToken(token: string): Cart;
  proceedToCheckout(): void;
  setBusinessEntity(businessEntityId: string): void;
  generateUrl(domain?: string, useBaseDomain?: boolean): string;
}
