import Manager, {ManagerType} from '../interfaces/cb-manager';
import {CbCallbacksInterface} from '../interfaces/cb-types';
import {Layout} from '../constants/enums';
export default class CbWindowManager {
  type: ManagerType;
  window: Window;
  windowOpened: boolean;
  redirectMode: boolean;
  layout: Layout;
  constructor({redirectMode}?: {redirectMode?: boolean});
  init(): void;
  setLayout(layout: Layout): void;
  showLoader(): void;
  loadURL(url: string): void;
  openDirect(url: any, type: any, options?: any): void;
  watchClose(callback: () => void): void;
  open(url: string, type: string, counter?: number): void;
  close(): void;
  resetWindow(): void;
  show(): void;
  markAsOpened(): void;
  closeCallWatch(Handler: any): void;
  setCallBacks(callbacks: CbCallbacksInterface): void;
  getLoaderUrl(): URL;
}
