import {PluginConfig} from '../../core/interface';
import {CaptchaPluginInterface, RecaptchaOptions} from '../types';
import {ResponseInnerMessage} from '../../../hosted_fields/common/types';
import CommManagerInterface from '../../../hosted_fields/master/interface';
import {RetryErrorData} from '../../../utils/retry-mechanism';
export default class CaptchaProvider {
  options: RecaptchaOptions;

  initialize(options: RecaptchaOptions): Promise<ResponseInnerMessage>;
  getErrors(): RetryErrorData[];

  generateToken(payload?: any): Promise<string | undefined>;
  config: PluginConfig;
  init(): Promise<void>;
  constructor(commMgr: CommManagerInterface);
}
