import {ResponseInnerMessage} from '../../../hosted_fields/common/types';
import PluginInterface from '../../core/interface';
import {RetryErrorData} from '../../../utils/retry-mechanism';
export declare enum CaptchaProviderName {
  GOOGLE_RECAPTCHA = 'google_recaptcha',
  TURNSTILE = 'turnstile',
  HCAPTCHA = 'hcaptcha',
}
export declare type RecaptchaOptions = {
  siteKey: string;
  provider?: CaptchaProviderName;
  sdkEndpoint?: string;
  isGlobalRecaptcha?: boolean;
  hideBanner?: boolean;
  onError?: (error: any) => void;
};
export interface CaptchaPluginInterface extends PluginInterface {
  options: RecaptchaOptions;
  initialize(options: RecaptchaOptions): Promise<ResponseInnerMessage>;
  generateToken(action?: string): Promise<string | undefined>;
  getErrors: () => RetryErrorData[];
}
