import '@/helpers/polyfills';
import CheckoutUtilsPluginInterface from './interface';
import {PluginConfig} from '../../core/interface';
import CommManagerInterface from '../../../hosted_fields/master/interface';
import {ResponseInnerMessage} from '../../../hosted_fields/common/types';
import {Info, HpData} from '../types';
export default class CheckoutUtils {
  config: PluginConfig;

  init(): Promise<any>;
  /**
   * Retrieves the service discovery payload if not loaded already, and initialize the recaptcha
   * script. Initially would attempt to get the response from the CDN url, but for retries would
   * directly request the chargebee API for response, with a backoff clipped at max 5 retries
   * in total.
   */
  getInfo(): Promise<Info>;

  getTranslations(data?: any): Promise<ResponseInnerMessage>;
  getHpData(param?: string): HpData | any;
  portalLogout(): Promise<ResponseInnerMessage>;
  setHpData(data: any): Promise<ResponseInnerMessage>;
  constructor(commMgr: CommManagerInterface);
  getBinData(data: any): Promise<ResponseInnerMessage>;
}
