import {Layout} from '../../../constants/enums';
import {CaptchaProviderName} from '../../captcha/types';
export declare type Info = {
  site: string;
  image?: Image;
  color?: string;
  region?: string;
  default_hp_layout?: Layout;
  domain?: string;
  domain_prefix?: string;
  static_domain?: StaticDomain;
  configuration_version?: string;
  allowed_domains?: Array<string>;
  captcha_site_key?: string;
  captcha_provider?: CaptchaProviderName;
  captcha_show_privacy_terms?: boolean;
  recaptcha_site_key?: string;
  supported_global_recaptcha?: boolean;
  captcha_provider_sdk_endpoint?: string;
};
export interface Image {
  align: string;
  url: string;
}
export interface StaticDomain {
  v3?: string;
  v4?: string;
}
export declare type HpData = {
  jwt?: string;
  customer_handle?: string;
  preview_portal_email?: string;
};
