import {
  ResponseInnerMessage,
  ComponentMeta,
  EventMessage,
  tokenizationResponse,
} from '../../../hosted_fields/common/types';
import '@/helpers/polyfills';
import ComponentsAndFieldsPluginInterface from './interface';
import {PluginConfig} from '../../core/interface';
import CommManagerInterface from '../../../hosted_fields/master/interface';
export default class ComponentsAndFieldsActions {
  config: PluginConfig;

  init(): Promise<void>;
  registerComponent(data: ComponentMeta): Promise<{
    registered: boolean;
  }>;
  registerField(data: any): Promise<ResponseInnerMessage>;
  getRegisteredComponents(): Array<ComponentMeta>;
  findComponentByName: (name: string) => ComponentMeta;
  findComponentByFrame: (frame: string) => ComponentMeta;

  whitelistFonts(data: any): Promise<ResponseInnerMessage>;

  getGwConfig(pmType: string, currency?: string): any;
  getAllowedFontDomains(): string[];
  getCardDetails(componentName: string): Promise<any>;
  getCardValuesFromDetails(details: any): object;
  _getCardType(type: any): any;
  getCardTypeFromDetails(cardDetails: any): any;
  tokenizeCardData({
    currency,
    componentName,
    additionalData,
  }: {
    currency: any;
    componentName: any;
    additionalData: any;
  }): Promise<ResponseInnerMessage>;

  tokenizeBankData({currency, bankData}: {currency: any; bankData: any}): Promise<ResponseInnerMessage>;

  relayEvent(data: any): Promise<ResponseInnerMessage>;
  update(data: any): Promise<ResponseInnerMessage>;
  storeStatus(updatedStatus: any): void;
  getStatus(): any;

  /**
   * Checks if a hostOrigin (full URL) is allowed based on the allowedDomains array,
   * which may include wildcards.
   *
   * @param {string} hostOrigin - The full URL to check.
   * @param {string[]} allowedDomains - An array of allowed domains, which may include wildcards.
   * @returns {boolean} Returns true if the hostOrigin is allowed, false otherwise.
   */
  isDomainAllowed(hostOrigin: string, allowedDomains: string[]): boolean;
  sanitizeData(data?: any): Promise<any>;
  broadcast(data: EventMessage): Promise<ResponseInnerMessage>;

  focus(data: any): Promise<ResponseInnerMessage>;
  blur(data: any): Promise<ResponseInnerMessage>;
  clear(data: any): Promise<ResponseInnerMessage>;
  destroy(data: any): Promise<ResponseInnerMessage>;
  validate(data: any): Promise<ResponseInnerMessage>;

  updateStyles(data: any): Promise<ResponseInnerMessage>;
  updatePlaceholder(data: any): Promise<ResponseInnerMessage>;
  updateAriaLabel(data: any): Promise<ResponseInnerMessage>;
  updateIcon(data: any): Promise<ResponseInnerMessage>;
  updateLocale(data: any): Promise<ResponseInnerMessage>;
  iDealFocus(data: any): Promise<ResponseInnerMessage>;
  iDealBlur(data: any): Promise<ResponseInnerMessage>;
  updateIDealBankList(data: any): Promise<ResponseInnerMessage>;
  iDealBankSelected(data: any): Promise<ResponseInnerMessage>;
  constructor(commMgr: CommManagerInterface);
  fetchGatewayCredential(data: any): Promise<tokenizationResponse>;
  setTestCards(data: {name: string; frame: string}): Promise<ResponseInnerMessage>;
  selectTestCard(data: {index: string; frame: string}): Promise<ResponseInnerMessage>;
  getCurrency(component: ComponentMeta): string;
}
