import PluginInterface from '../../core/interface';
import {ComponentMeta, EventMessage} from '../../../hosted_fields/common/types';
import {ResponseInnerMessage} from '../../../hosted_fields/common/types';
export default interface ComponentsAndFieldsPluginInterface extends PluginInterface {
  registerComponent(data: ComponentMeta): Promise<any>;
  registerField(data: any): Promise<ResponseInnerMessage>;
  relayEvent(data: any): Promise<ResponseInnerMessage>;
  broadcast(data: EventMessage): Promise<ResponseInnerMessage>;
  focus(data: any): Promise<ResponseInnerMessage>;
  blur(data: any): Promise<ResponseInnerMessage>;
  clear(data: any): Promise<ResponseInnerMessage>;
  destroy(data: any): Promise<ResponseInnerMessage>;
  validate(data: any): Promise<ResponseInnerMessage>;
  update(data: any): Promise<ResponseInnerMessage>;
  whitelistFonts(data: any): Promise<ResponseInnerMessage>;
  updateStyles(data: any): Promise<ResponseInnerMessage>;
  updatePlaceholder(data: any): Promise<ResponseInnerMessage>;
  updateAriaLabel(data: any): Promise<ResponseInnerMessage>;
  updateIcon(data: any): Promise<ResponseInnerMessage>;
  updateLocale(data: any): Promise<ResponseInnerMessage>;
  iDealFocus(data: any): Promise<ResponseInnerMessage>;
  iDealBlur(data: any): Promise<ResponseInnerMessage>;
  updateIDealBankList(data: any): Promise<ResponseInnerMessage>;
  iDealBankSelected(data: any): Promise<ResponseInnerMessage>;
  getRegisteredComponents(): Array<ComponentMeta>;
  getAllowedFontDomains(): string[];
  getCardDetails(componentName: string): Promise<any>;
  getCardValuesFromDetails(cardDetails: any): any;
  tokenizeCardData(data: any): Promise<ResponseInnerMessage>;
  tokenizeBankData(data: any): Promise<ResponseInnerMessage>;
  setTestCards(data: any): Promise<ResponseInnerMessage>;
  selectTestCard(data: any): Promise<ResponseInnerMessage>;
}
