import {Component, ComponentType, CardComponentInterface} from '../../../hosted_fields/common/base-types';
import ComponentsFieldsLoaderInterface from './interface';
import {Callbacks, AdditionalData} from '../../three_domain_secure/types';
import {PaymentIntent} from '../../../extensions/three_domain_secure/common/types';
import PluginLoader from '../../core/loader';
import {ComponentOptions} from '../../../hosted_fields/common/types';
export default class ComponentsAndFieldsLoader extends PluginLoader {
  createComponent(componentType?: ComponentType, options?: ComponentOptions): Component;
  tokenize(component: CardComponentInterface | ComponentType.Bank, payload?: {}): Promise<any>;
  authorizeWith3ds(
    component: CardComponentInterface,
    intent: PaymentIntent,
    additionalData?: AdditionalData,
    callbacks?: Callbacks
  ): Promise<PaymentIntent>;
}
