import {Component, ComponentType} from '../../../hosted_fields/common/base-types';
import {PaymentIntent, AdditionalData, Callbacks} from '../../../extensions/three_domain_secure/common/types';
import LoaderInterface from '../../core/loader/loader-interface';
export default interface ComponentsAndFieldsLoader extends LoaderInterface {
  createComponent(componentType: ComponentType, options: any): Component;
  tokenize(component: Component | ComponentType.Bank, payload: any): Promise<any>;
  authorizeWith3ds(
    component: Component,
    intent: PaymentIntent,
    additionalData: AdditionalData,
    callbacks: Callbacks
  ): Promise<PaymentIntent>;
}
