import PluginInterface, {PluginName} from './interface';
import {ApiClientInterface} from './api/interface';
import IframeClient from '../../hosted_fields/common/connection/client';
import CommManagerInterface from '../../hosted_fields/master/interface';
interface PluginManager {
  apiClient: ApiClientInterface;
  iframeClient: IframeClient;
  commMgr: CommManagerInterface;
  pluginRegistry: {
    [pluginName in PluginName]?: Promise<PluginInterface>;
  };
  registerPlugin(plugin: PluginName): Promise<PluginInterface>;
  getPlugin(plugin: PluginName): Promise<PluginInterface>;
  isPluginLoaded(plugin: PluginName): Boolean;
  constructor(commMgr: CommManagerInterface);
}
export default PluginManager;
