import '@/helpers/polyfills';
import FunctionsPluginInterface from './interface';
import {PluginConfig} from '../../core/interface';
import CommManagerInterface from '../../../hosted_fields/master/interface';
import {ResponseInnerMessage} from '../../../hosted_fields/common/types';
import {
  CreateSubscriptionEstimate,
  UpdateSubscriptionEstimate,
  SubscriptionRenewalEstimate,
  VatValidationParams,
} from '../types';
export default class FunctionsPlugin {
  config: PluginConfig;

  init(): Promise<any>;
  createSubscriptionEstimate(data: CreateSubscriptionEstimate): Promise<ResponseInnerMessage>;
  updateSubscriptionEstimate(data: UpdateSubscriptionEstimate): Promise<ResponseInnerMessage>;
  renewSubscriptionEstimate(data: SubscriptionRenewalEstimate): Promise<ResponseInnerMessage>;
  validateVat(data: VatValidationParams): Promise<ResponseInnerMessage>;
  constructor(commMgr: CommManagerInterface);
}
