import LoaderInterface from '../../core/loader/loader-interface';
import {
  CreateSubscriptionEstimate,
  UpdateSubscriptionEstimate,
  SubscriptionRenewalEstimate,
  VatValidationParams,
} from '../types';
export interface EstimateFunctionsPluginLoaderInterface {
  createSubscriptionEstimate(data: CreateSubscriptionEstimate): Promise<any>;
  updateSubscriptionEstimate(data: UpdateSubscriptionEstimate): Promise<any>;
  renewSubscriptionEstimate(data: SubscriptionRenewalEstimate): Promise<any>;
}
export interface VatValidationFunctionsPluginLoaderInterface {
  validateVat(data: VatValidationParams): Promise<any>;
}
export default interface FunctionsPluginLoaderInterface extends LoaderInterface {
  estimates: EstimateFunctionsPluginLoaderInterface;
  vat: VatValidationFunctionsPluginLoaderInterface;
}
