import {AmazonPayPayment} from '../../../../hosted_fields/common/base-types';
import PaymentIntentHandler from '../../../../internal/payment-intent/handler';
import {PaymentMethodType, PaymentAttemptStatus} from '../../../../internal/payment-intent/types';
import {Callbacks} from '../../../../extensions/three_domain_secure/common/types';
import {PaymentInfo, AmazonButtonOptions} from '../types';
export default class AmazonPayHandler extends PaymentIntentHandler {
  redirectTimeout: number;
  constructor(...args: any[]);
  initPayment(): Promise<{
    paymentMethodType: PaymentMethodType;
    customer: {
      first_name: string;
      last_name: string;
      email: string;
      phone: string;
    };
    paymentType: string;
  }>;
  validatePaymentInfo(): Promise<boolean>;
  mountPaymentButton(id: string, options?: AmazonButtonOptions): Promise<any>;
  handlePayment(callbacks?: Callbacks): Promise<any>;
  handlePaymentAttemptStatus(paymentAttemptStatus: PaymentAttemptStatus): Promise<any>;
  mountReviewButtoncall(amazonCheckout: any): Promise<any>;
  getshopperInfo(): import('@/internal/payment-intent/types').PayerInfo;
  bindAction(id: any, amazonCheckoutSessionId: any, action: any): void;
  protected confirmPayment(data?: any): Promise<any>;
  setWindowPopup(): void;
  redirectToAmazonPay(data: any): Promise<any>;
  redirectToResultURL(paymentAttempt: any): Promise<any>;
}
