import {ApplePayment} from '../../../../hosted_fields/common/base-types';
import PaymentIntentHandler from '../../../../internal/payment-intent/handler';
import {Callbacks} from '../../../../extensions/three_domain_secure/common/types';
import {ValidateApplePaySessionPayload} from '../../../../internal/payment-intent/types';
import {ApplePayMountOptions} from '../types';
declare global {
  interface Window {
    ApplePaySession: {
      supportsVersion: (version: number) => boolean;
      canMakePayments: () => boolean;
      canMakePaymentsWithActiveCard: (merchantId: string | number) => Promise<boolean>;
      STATUS_SUCCESS: string | number;
      STATUS_FAILURE: string | number;
    };
  }
}
export default class ApplepayHandler extends PaymentIntentHandler {
  constructor(...args: any[]);
  supportsApplePay(): boolean;
  mountPaymentButton(id: string, options?: ApplePayMountOptions): Promise<any>;
  canMakePayments(): boolean;
  handlePayment(callbacks?: Callbacks): Promise<any>;
}
