import CommonDirectDebitHandler from '../common';
import {PaymentOptions} from '../../../../../hosted_fields/common/base-types';
import {CbError} from '../../../../../hosted_fields/common/errors';
import {PaymentAttemptStatus} from '../../../../../internal/payment-intent/types';
import {BraintreeClientInstance, BraintreeACHInstance, PaymentInfo} from '../../types';
export default class BraintreeAchDirectDebitHandler extends CommonDirectDebitHandler {
  achInstance: BraintreeACHInstance;
  clientInstance: BraintreeClientInstance;
  validateTempTokenOptions(input: PaymentInfo): Promise<boolean>;

  handlePayment(options?: PaymentOptions | any): Promise<any>;
  getTokenizedData({bankDetails, mandateText}: {bankDetails: any; mandateText: any}): Promise<any>;
  handlePaymentAttemptStatus(paymentAttemptStatus: PaymentAttemptStatus): Promise<any>;
  getPayerInfo(): any;
  getBraintreeAchInstance(): Promise<BraintreeACHInstance>;
  createACHInstance(): Promise<BraintreeACHInstance>;
  sanitizeError(error: any): CbError;
}
