import {AchVerificationType} from '../../../../internal/payment-intent/types';
export declare type PaymentInfo = {
  customer?: {
    firstName?: string;
    lastName?: string;
    email?: string;
    company?: string;
    phone?: string;
    billingAddress?: Address;
  };
  bankAccount?: BankAccount;
  plaid?: {
    userId?: string;
    locale?: string;
  };
  useGateway?: boolean;
  mandateText?: string;
  achVerificationType?: AchVerificationType;
};
export declare type BankAccount = {
  iban?: string;
  bankName?: string;
  nameOnAccount?: string;
  routingNumber?: string;
  accountNumber?: string;
  accountType?: BankAccountType;
  accountHolderType?: BankAccountHolderType;
  bankCode?: string;
  countryCode?: string;
  swedishIdentityNumber?: string;
  nonce?: string;
  suffix?: string;
};
export declare enum BankAccountType {
  CHECKING = 'CHECKING',
  SAVINGS = 'SAVINGS',
  BUSINESS_CHECKING = 'BUSINESS_CHECKING',
  CURRENT = 'CURRENT',
}
export declare enum BankAccountHolderType {
  INDIVIDUAL = 'INDIVIDUAL',
  COMPANY = 'COMPANY',
}
export declare type Address = {
  addressLine1?: string;
  addressLine2?: string;
  addressLine3?: string;
  city?: string;
  state?: string;
  stateCode?: string;
  countryCode?: string;
  zip?: string | number;
};
export declare type GatewayPaymentInfo = PaymentInfo & {
  payload?: PlaidResponse | any;
};
declare type PlaidResponse = {
  locale?: string;
  publicToken: string;
  accountId: string;
  plaid: boolean;
};
export declare type PlaidConfig = {
  userId: string;
  locale: string;
  env: string;
};
export interface BraintreeACHInstance {
  tokenize: (any: any) => any;
}
export declare type BraintreeClientInstance = any;
export {};
