import {PaymentIntent, Callbacks, PaymentAttempt} from '../../../../extensions/three_domain_secure/common/types';
import DotpayHandler from './';
import {CbError as ClientError} from '../../../../hosted_fields/common/errors';
import {PaymentInfo} from '../../iDeal/types';
export default abstract class AbstractDotpayHandler {
  constructor(parent: DotpayHandler);
  handleDotpayPayment(paymentInfo: PaymentInfo, callbacks?: Callbacks): Promise<PaymentIntent>;

  abstract handlePayment(): void;

  protected confirmPayment(data?: any): Promise<any>;

  protected logError(error: any, extraData?: {}): Promise<any>;
}
