export declare type PaymentInfo = {
  customer?: {
    firstName?: string;
    lastName?: string;
    email?: string;
    company?: string;
    phone?: string;
    billingAddress?: Address;
  };
  bankAccount?: BankAccount;
  useGateway?: boolean;
};
export declare type BankAccount = {
  iban?: string;
  nameOnAccount?: string;
  routingNumber?: string;
  accountNumber?: string;
  accountType?: BankAccountType;
  accountHolderType?: BankAccountHolderType;
  bankCode?: string;
  countryCode?: string;
  swedishIdentityNumber?: string;
  nonce?: string;
  institutionId?: string;
};
export declare enum BankAccountType {
  CHECKING = 'CHECKING',
  SAVINGS = 'SAVINGS',
  BUSINESS_CHECKING = 'BUSINESS_CHECKING',
  CURRENT = 'CURRENT',
}
export declare enum BankAccountHolderType {
  INDIVIDUAL = 'INDIVIDUAL',
  COMPANY = 'COMPANY',
}
export declare type Address = {
  addressLine1?: string;
  addressLine2?: string;
  addressLine3?: string;
  city?: string;
  state?: string;
  stateCode?: string;
  countryCode?: string;
  zip?: string | number;
};
