import {PaymentIntent, Callbacks, PaymentAttempt} from '../../../../extensions/three_domain_secure/common/types';
import GiropayHandler from './';
import {CbError as ClientError} from '../../../../hosted_fields/common/errors';
export default abstract class AbstractGiropayHandler {
  constructor(parent: GiropayHandler);
  handleGiropayPayment(callbacks?: Callbacks): Promise<PaymentIntent>;

  abstract handlePayment(): void;

  protected confirmPayment(data?: any): Promise<any>;

  protected logError(error: any, extraData?: {}): Promise<any>;
}
