import {NetbankingPayment} from '../../../../hosted_fields/common/base-types';
import PaymentIntentHandler from '../../../../internal/payment-intent/handler';
import {Callbacks, PaymentMethodType} from '../../../../internal/payment-intent/types';
import {PaymentInfo} from '../types';
export default class NetbankingHandler extends PaymentIntentHandler {
  redirectTimeout: number;
  constructor(...args: any[]);
  fetchBankList(options: any): Promise<unknown>;
  fetchGatewayDetails(options: any): Promise<any>;
  initPayment(): Promise<{
    paymentMethodType: PaymentMethodType;
    bankAccount: {
      bank?: string;
      beneficiaryName: string;
      accountNumber: string;
      accountType: string;
      ifscCode: string;
    };
    customer: {
      firstName: string;
      lastName: string;
      email: string;
      phone: string;
    };
    paymentType: string;
    shippingAddress: import('@/internal/payment-intent/types').Address;
  }>;
  setWindowPopup(): void;
  /**
   * TODO: to consume handlePayment in payment intent handler,
   * once paymentIntent is accepted as part of payment options
   * @param paymentInfo
   * @param callbacks
   * @returns
   */
  handlePayment(paymentInfo: PaymentInfo, callbacks?: Callbacks): Promise<any>;
}
