import {OnlineBankingPolandPayment} from '../../../../hosted_fields/common/base-types';
import PaymentIntentHandler from '../../../../internal/payment-intent/handler';
import {Callbacks, PaymentMethodType} from '../../../../internal/payment-intent/types';
import {PaymentInfo} from '../types';
export default class OnlineBankingPolandHandler extends PaymentIntentHandler {
  redirectTimeout: number;
  constructor(...args: any[]);
  fetchBankList(options: any): Promise<unknown>;
  fetchGatewayDetails(options: any): Promise<any>;
  initPayment(): Promise<{
    paymentMethodType: PaymentMethodType;
    customer: {
      firstName: string;
      lastName: string;
      email: string;
      phone: string;
    };
    email: string;
    params: {
      issuerBank: string;
    };
  }>;
  setWindowPopup(): void;
  /**
   * TODO: to consume handlePayment in payment intent handler,
   * once paymentIntent is accepted as part of payment options
   * @param paymentInfo
   * @param callbacks
   * @returns
   */
  handlePayment(paymentInfo: PaymentInfo, callback?: Callbacks): Promise<any>;
}
