export declare type Options = {
  locale?: string;
  style?: ButtonStyle;
  funding?: Funding;
  additionalData?: () => PaymentInfo;
};
export declare type ButtonStyle = {
  layout?: 'vertical' | 'horizontal';
  height?: 'small' | 'medium' | 'large';
  size?: 'small' | 'medium' | 'large' | 'responsive';
  color?: 'gold' | 'blue' | 'silver' | 'white' | 'black';
  shape?: 'pill' | 'rect';
  label?: 'checkout' | 'credit' | 'pay' | 'buynow' | 'paypal' | 'installment';
  installmentperiod?: any;
  tagline?: boolean;
  disableMaxWidth?: boolean;
};
export declare type Funding = {
  allowed?: string[];
  disallowed?: string[];
};
export declare type PaymentInfo = {
  customer?: {
    firstName?: string;
    lastName?: string;
    email?: string;
    company?: string;
    phone?: string;
    billingAddress?: Address;
  };
};
export declare type Address = {
  addressLine1?: string;
  addressLine2?: string;
  addressLine3?: string;
  city?: string;
  state?: string;
  stateCode?: string;
  countryCode?: string;
  zip?: string | number;
};
