import {UpiPayment} from '../../../../hosted_fields/common/base-types';
import PaymentIntentHandler from '../../../../internal/payment-intent/handler';
import {PaymentMethodType} from '../../../../internal/payment-intent/types';
import {Callbacks} from '../../../../extensions/three_domain_secure/common/types';
import {PaymentInfo} from '../types';
export default class UpiHandler extends PaymentIntentHandler {
  redirectTimeout: number;
  constructor(...args: any[]);
  initPayment(): Promise<{
    paymentMethodType: PaymentMethodType;
    vpa: string;
    customer: {
      first_name: string;
      last_name: string;
      email: string;
      phone: string;
    };
    paymentType: string;
    paymentIntent: import('@/internal/payment-intent/types').PaymentIntent;
    shippingAddress: import('@/internal/payment-intent/types').Address;
    planId: string;
  }>;
  validatePaymentInfo(): Promise<boolean>;
  handlePayment(paymentInfo: PaymentInfo, callbacks?: Callbacks): Promise<any>;
}
