import {ResponseInnerMessage} from '../../../hosted_fields/common/types';
import '@/helpers/polyfills';
import ThreeDSPluginInterface from './interface';
import {PluginConfig} from '../../core/interface';
import CommManagerInterface from '../../../hosted_fields/master/interface';
import {
  ConfirmApiPayload,
  CancelPaymentIntentRequestPayload,
} from '../../../extensions/three_domain_secure/common/types';
export default class ThreeDSActions {
  config: PluginConfig;

  init(): Promise<void>;
  retrievePaymentIntent(data: any): Promise<ResponseInnerMessage>;
  setupPaymentIntentWorker(data: ConfirmApiPayload): Promise<ResponseInnerMessage>;
  getDetailsFromCardComponent(componentName: string): Promise<any>;
  confirmPaymentIntent(data: ConfirmApiPayload): Promise<ResponseInnerMessage>;
  cancelPaymentIntent(data: CancelPaymentIntentRequestPayload): Promise<ResponseInnerMessage>;
  fetchGatewayCredential(data: any): Promise<ResponseInnerMessage>;
  fetchGatewayToken(data: any): Promise<ResponseInnerMessage>;
  generateBraintreeClientToken(data: any): Promise<ResponseInnerMessage>;
  createBluesnapPfToken(data: any): Promise<ResponseInnerMessage>;
  generateDeviceDataJWT(data: any): Promise<ResponseInnerMessage>;
  setAdyen3DS1VerificationResult(data: any): Promise<ResponseInnerMessage>;
  setCheckoutCom3DSVerificationResult(data: any): Promise<ResponseInnerMessage>;
  setCybersource3DSVerificationResult(data: any): Promise<ResponseInnerMessage>;
  pollAdyen3DS1VerificationResult(data: any): Promise<ResponseInnerMessage>;
  pollCheckoutCom3DSVerificationResult(data: any): Promise<ResponseInnerMessage>;
  pollCybersource3DSVerificationResult(data: any): Promise<ResponseInnerMessage>;
  generateAdyenOriginKey(data: any): Promise<ResponseInnerMessage>;
  constructor(commMgr: CommManagerInterface);
  setPaymentIntent3DSResult(data: any): Promise<ResponseInnerMessage>;
  stopPollPaymentIntent3DSResult(data: any): Promise<ResponseInnerMessage>;
  pollPaymentIntent3DSResult(data: any): Promise<ResponseInnerMessage>;
  retrieveBraintreePaymentMethodNonce(data: {nonce: string; paymentIntentId: string}): Promise<ResponseInnerMessage>;
}
