import PluginInterface from '../../core/interface';
import {ResponseInnerMessage} from '../../../hosted_fields/common/types';
import {ConfirmApiPayload} from '../types';
export default interface ThreeDSPluginInterface extends PluginInterface {
  retrievePaymentIntent(data: any): Promise<ResponseInnerMessage>;
  confirmPaymentIntent(data: any): Promise<ResponseInnerMessage>;
  cancelPaymentIntent(data: any): Promise<ResponseInnerMessage>;
  fetchGatewayCredential(data: any): Promise<ResponseInnerMessage>;
  fetchGatewayToken(data: any): Promise<ResponseInnerMessage>;
  generateBraintreeClientToken(data: any): Promise<ResponseInnerMessage>;
  createBluesnapPfToken(data: any): Promise<ResponseInnerMessage>;
  generateDeviceDataJWT(data: any): Promise<ResponseInnerMessage>;
  setAdyen3DS1VerificationResult(data: any): Promise<ResponseInnerMessage>;
  setCheckoutCom3DSVerificationResult(data: any): Promise<ResponseInnerMessage>;
  setCybersource3DSVerificationResult(data: any): Promise<ResponseInnerMessage>;
  pollAdyen3DS1VerificationResult(data: any): Promise<ResponseInnerMessage>;
  pollCheckoutCom3DSVerificationResult(data: any): Promise<ResponseInnerMessage>;
  pollCybersource3DSVerificationResult(data: any): Promise<ResponseInnerMessage>;
  generateAdyenOriginKey(data: any): Promise<ResponseInnerMessage>;
  setPaymentIntent3DSResult(data: any): Promise<ResponseInnerMessage>;
  pollPaymentIntent3DSResult(data: any): Promise<ResponseInnerMessage>;
  stopPollPaymentIntent3DSResult(data: any): Promise<ResponseInnerMessage>;
  setupPaymentIntentWorker(data: ConfirmApiPayload): Promise<ResponseInnerMessage>;
  retrieveBraintreePaymentMethodNonce(data: {nonce: string; paymentIntentId: string}): Promise<ResponseInnerMessage>;
}
