import LoggerInterface from './interface';
import '@/helpers/polyfills';
import {Metadata} from '../../plugins/logger/types';
export default abstract class Logger {
  meta: Metadata;
  ready: Promise<any>;
  constructor(meta?: Metadata);
  abstract initialize(): Promise<any>;
  setMetadata(meta: Metadata): void;
  abstract log(data: any): any;
  abstract logError(err: Error, extra?: any): any;
  throw(err: any, extraData?: any): void;
  getMaskedError(): Error;
  throwMaskedError(err: any, extraData?: any): void;
  sanitizeError(err: any): Error;
}
