import {ConfirmApiInputPayload, PaymentAttempt} from '../../extensions/three_domain_secure/common/types';
import {CbError} from '../../hosted_fields/common/errors';
import {Adyen} from '../../extensions/three_domain_secure/handlers/adyen/types';
export declare const helper: {
  hasDFLoaded(): boolean;
};
export declare const DEFAULT_ADYEN_VERSION = '5.38.0';
export declare function createHiddenForm(paymentAttempt: PaymentAttempt): HTMLFormElement;
export declare function doPostVerification(paymentAttempt: PaymentAttempt, handler: any, hiddenForm: any): Promise<any>;
export declare function adyenCheckout(): any;
export declare function isAdyenCheckoutLoaded(sdkVersion: any): boolean;
export declare function loadAdyenJsAndCss(version: string): Promise<[boolean, unknown]>;
export declare function do3DS1Verification(paymentAttempt: PaymentAttempt, handler: any): Promise<any>;
export declare function createAdyenInstance(intent: any, handler: any): Promise<any>;
export declare function createAdyenInstanceForChargebeePayments(intent: any, handler: any): Promise<any>;
export declare function adyenHandlePaymentAttempt(
  paymentAttempt: PaymentAttempt,
  handler: any,
  adyenClient: any
): Promise<any>;
export declare function doManualDeviceFingerprinting(payload: any, handler: any): Promise<unknown>;
export declare function sanitizeAdyenError(error: Adyen.Error, handler: any): CbError;
export declare function handleCardpayment(handler: any): Promise<ConfirmApiInputPayload>;
