import {PaymentIntent} from '../../internal/payment-intent/types';
import {Braintree} from '../../extensions/three_domain_secure/handlers/braintree/types';
declare global {
  interface Window {
    braintree: {
      client?: {
        create?: Function;
        VERSION?: string;
      };
      googlePayment?: {
        create?: Function;
      };
      threeDSecure?: {
        create?: Function;
      };
      dataCollector?: {
        create?: Function;
      };
      paypalCheckout?: {
        create?: Function;
      };
      venmo?: {
        create?: Function;
      };
      applePay?: {
        create?: Function;
      };
      usBankAccount?: {
        create?: Function;
      };
    };
  }
}
declare const BraintreeUtils: {
  VERSION: string;
  braintree(): {
    client?: {
      create?: Function;
      VERSION?: string;
    };
    googlePayment?: {
      create?: Function;
    };
    threeDSecure?: {
      create?: Function;
    };
    dataCollector?: {
      create?: Function;
    };
    paypalCheckout?: {
      create?: Function;
    };
    venmo?: {
      create?: Function;
    };
    applePay?: {
      create?: Function;
    };
    usBankAccount?: {
      create?: Function;
    };
  };
  loadPaypal(): Promise<boolean>;
  loadBraintreeJS(): Promise<boolean>;
  loadAchJs(): Promise<boolean>;
  loadApplePay(): Promise<boolean>;
  loadDataCollector(): Promise<boolean>;
  initializeDataCollector(clientInstance: any): Promise<any>;
  generateClientToken(paymentIntent: PaymentIntent): Promise<any>;
  initializeBraintreeClient(paymentIntent: PaymentIntent): Promise<any>;
  createBraintree3dsInstance(braintreeInstance: any): any;
  doCardVerification(
    data: Braintree.TokenizedCard,
    params: Braintree.ThreeDSParams,
    challengeRequested: boolean,
    braintree3DSInstance: any
  ): any;
};
export default BraintreeUtils;
