import {MessageHandler} from '../hosted_fields/common/enums';
import {CommunicationMessage} from '../hosted_fields/common/types';
export declare function flattenObj(input: any, separator?: string, depth?: number): any;
export declare function jsonify(data: any): any;
export declare function gwJsonify(data: any): any;
export declare function safeGet(object?: {}, key?: string): any;
export declare function flattenAPIPayload(data: any): {};
export declare function sendKVL(data?: any): void;
export declare function captureException(data?: any): void;
/**
 * Checks if an object is empty (has no own enumerable properties).
 *
 * @param {Object} data - The object to be checked for emptiness.
 * @returns {boolean} Returns `true` if the object is empty, `false` otherwise.
 */
export declare function isObjectEmpty(data: any): boolean;
/**
 * Gets a timestamp with the option to reset based on a specified interval.
 *
 * @param {number} [resetMarkInMinutes=15] - The interval in minutes for resetting the timestamp.
 * @returns {number} The timestamp in seconds.
 */
export declare function getTimestamp(resetMarkInMinutes?: number): number;
export declare function isValidLocale(locale: string): boolean;
export declare function isCbDomain(hostName: any): boolean;
export declare function safeExecute(method: Function, args?: Array<any>): void;
export declare type ErrorJson = {
  cb_error_message: string;
  cb_error_name: string;
};
export declare function jsonifyError(error: Error): ErrorJson | undefined;
export declare function checkoutLogKVL(data: any): void;
export declare function logTargetWindow(payload: any): void;
export declare function iframePostMessage(
  targetWindow: Window | HTMLIFrameElement,
  payload: CommunicationMessage,
  targetDomain: string,
  handler?: MessageHandler
): void;
export declare function intentError(intent: any): {
  name: string;
  code: any;
  message: any;
  detail: any;
};
export declare function requiredAll(...args: any[]): boolean;
export declare function requiredAnyOne(...args: any[]): boolean;
export declare function isWindowsOS(): boolean;
export declare function isSafariMacOS(): boolean;
export declare function getCurrencyDivisor(currency: any): number;
export declare function removeNullUndefinedEmpty(obj: any): {};
export declare function isValidURL(url: string): boolean;
export declare function getBeneficiaryName(input: any): any;
